local MER, E, L, V, P, G = unpack(select(2, ...))
local MUF = MER:GetModule("muiUnits")
local UF = E:GetModule("UnitFrames")
local isEnabled = E.private["unitframe"].enable and true or false

-- Cache global variables
-- Lua functions
local tinsert = table.insert
-- WoW API / Variables
-- GLOBALS: LibStub

local function UnitFramesTable()
	E.Options.args.mui.args.modules.args.unitframes = {
		type = "group",
		name = L["UnitFrames"],
		childGroups = "tab",
		disabled = function() return not E.private.unitframe.enable end,
		args = {
			name = {
				order = 1,
				type = "header",
				name = MER:cOption(L["UnitFrames"]),
			},
			general = {
				order = 2,
				type = "group",
				name = L["General"],
				args = {
					tags = {
						order = 1,
						type = "group",
						name = E.NewSign..MER.Title..L["Tags"],
						guiInline = true,
						args = {
							health = {
								order = 1,
								type = "group",
								name = L["Health"],
								args = {
									health1 = {
										order = 1,
										type = "description",
										fontSize = "medium",
										name = "[health:current-mUI] - "..L["Example:"].." Displays current HP (2.04B, 2.04M, 204k, 204)",
									},
								},
							},
							power = {
								order = 2,
								type = "group",
								name = L["Power"],
								args = {
									power1 = {
										order = 1,
										type = "description",
										fontSize = "medium",
										name = "[power:current-mUI] - "..L["Example:"].." Displays current power and 0 when no power instead of hiding when at 0, Also formats it like HP tag",
									},
								},
							},
							name = {
								order = 3,
								type = "group",
								name = L["Name"],
								args = {
									name1 = {
										order = 1,
										type = "description",
										fontSize = "medium",
										name = "[name:abbrev-translit] - "..L["Example:"].." Displays a shorten name and will convert cyrillics. Игорь = !Igor",
									},
								},
							},
							resting = {
								order = 3,
								type = "group",
								name = L["Resting"],
								args = {
									resting1 = {
										order = 1,
										type = "description",
										fontSize = "medium",
										name = "[mUI-resting] - "..L["Example:"].." Displays a text if the player is in a resting area. zZz",
									},
								},
							},
						},
					},
				},
			},
			textures = {
				order = 2,
				type = "group",
				name = L['Textures'],
				args = {
					castbar = {
						type = 'select', dialogControl = 'LSM30_Statusbar',
						order = 1,
						name = L['Castbar'],
						desc = L['This applies on all available castbars.'],
						values = AceGUIWidgetLSMlists.statusbar,
						get = function(info) return E.db.mui.unitframes.textures[ info[#info] ] end,
						set = function(info, value) E.db.mui.unitframes.textures[ info[#info] ] = value; MCA:CastBarHooks(); end,
					},
				},
			},
		},
	}
end
tinsert(MER.Config, UnitFramesTable)
